﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Data.Linq.Mapping;
using System.Runtime.Serialization;

namespace RaisingStudio.Data.Entities
{
    /// <summary>
    /// Issue
    /// </summary>
    [Serializable]
    [DataContract]
    [Table(Name = "Issue")]
    partial class Issue
    {
        #region Members

        private int _IssueID;
        /// <summary>
        /// IssueID
        /// </summary>
        [Description("IssueID")]
        [DataMember]
        [Column(Name = "IssueID", CanBeNull = false, IsPrimaryKey = true)]
        public int IssueID
        {
          get 
          {
              return this._IssueID;
          }
          set 
          {
              this._IssueID = value;
          }
        }


        private string _Title;
        /// <summary>
        /// Title
        /// </summary>
        [Description("Title")]
        [DataMember]
        [Column(Name = "Title")]
        public string Title
        {
          get 
          {
              return this._Title;
          }
          set 
          {
              this._Title = value;
          }
        }


        private string _Description;
        /// <summary>
        /// Description
        /// </summary>
        [Description("Description")]
        [DataMember]
        [Column(Name = "Description")]
        public string Description
        {
          get 
          {
              return this._Description;
          }
          set 
          {
              this._Description = value;
          }
        }


        private int _Status;
        /// <summary>
        /// Status
        /// </summary>
        [Description("Status")]
        [DataMember]
        [Column(Name = "Status", CanBeNull = false)]
        public int Status
        {
          get 
          {
              return this._Status;
          }
          set 
          {
              this._Status = value;
          }
        }


        private int? _IssueType;
        /// <summary>
        /// IssueType
        /// </summary>
        [Description("IssueType")]
        [DataMember]
        [Column(Name = "IssueType")]
        public int? IssueType
        {
          get 
          {
              return this._IssueType;
          }
          set 
          {
              this._IssueType = value;
          }
        }


        private string _Owner;
        /// <summary>
        /// Owner
        /// </summary>
        [Description("Owner")]
        [DataMember]
        [Column(Name = "Owner")]
        public string Owner
        {
          get 
          {
              return this._Owner;
          }
          set 
          {
              this._Owner = value;
          }
        }


        private decimal? _Progress;
        /// <summary>
        /// Progress
        /// </summary>
        [Description("Progress")]
        [DataMember]
        [Column(Name = "Progress")]
        public decimal? Progress
        {
          get 
          {
              return this._Progress;
          }
          set 
          {
              this._Progress = value;
          }
        }


        private DateTime? _CreateTime;
        /// <summary>
        /// CreateTime
        /// </summary>
        [Description("CreateTime")]
        [DataMember]
        [Column(Name = "CreateTime")]
        public DateTime? CreateTime
        {
          get 
          {
              return this._CreateTime;
          }
          set 
          {
              this._CreateTime = value;
          }
        }


        private bool? _Locked;
        /// <summary>
        /// Locked
        /// </summary>
        [Description("Locked")]
        [DataMember]
        [Column(Name = "Locked")]
        public bool? Locked
        {
          get 
          {
              return this._Locked;
          }
          set 
          {
              this._Locked = value;
          }
        }

        #endregion
    }
}
